Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.binding.expression.el
Class DefaultELResolver

    java.lang.Object
      javax.el.ELResolver
          javax.el.CompositeELResolver
              org.springframework.binding.expression.el.DefaultELResolver

    public class DefaultELResolver

extends javax.el.CompositeELResolver

A generic ELResolver to be used as a default when no other ELResolvers have been configured by the client application. This implementation will resolve the first part of the expression to the pre-configured base object, and will then delegate through the chain of standard resolvers for the rest of the expression. Note - Requires Java 5 or higher due to the use of generics in the API's basic resolvers.

Author:
  Jeremy Grelle

Field Summary

Fields inherited from class javax.el.ELResolver
`RESOLVABLE_AT_DESIGN_TIME, TYPE`

Constructor Summary
`DefaultELResolver(java.util.List customResolvers)` Creates a new default EL resolver for resolving properties of the root object.
`DefaultELResolver(java.lang.Object target, java.util.List customResolvers)` Creates a new default EL resolver for resolving properties of the root object.

Method Summary
`java.lang.Object` | `getTarget()`
`java.lang.Class` | `getType(javax.el.ELContext context, java.lang.Object base, java.lang.Object property)`
`java.lang.Object` | `getValue(javax.el.ELContext context, java.lang.Object base, java.lang.Object property)`
`void` | `setValue(javax.el.ELContext context, java.lang.Object base, java.lang.Object property, java.lang.Object val)`

Methods inherited from class javax.el.CompositeELResolver
`add, getCommonPropertyType, getFeatureDescriptors, isReadOnly`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultELResolver

    public DefaultELResolver(java.util.List customResolvers)

  Creates a new default EL resolver for resolving properties of the root object. Assumes a null target and expect that the base object has already been resolved by the time this resolver runs.

  Parameters:
    `customResolvers` - the custom resolvers to apply before this resolver

### DefaultELResolver

    public DefaultELResolver(java.lang.Object target,
                             java.util.List customResolvers)

  Creates a new default EL resolver for resolving properties of the root object.

  Parameters:
    `target` - the target, or "root", object of the expression
    `customResolvers` - the custom resolvers to apply before this resolver

Method Detail

### getTarget

    public java.lang.Object getTarget()

### getType

    public java.lang.Class getType(javax.el.ELContext context,
                                   java.lang.Object base,
                                   java.lang.Object property)

  Overrides:
    `getType` in class `javax.el.CompositeELResolver`

### getValue

    public java.lang.Object getValue(javax.el.ELContext context,
                                     java.lang.Object base,
                                     java.lang.Object property)

  Overrides:
    `getValue` in class `javax.el.CompositeELResolver`

### setValue

    public void setValue(javax.el.ELContext context,
                         java.lang.Object base,
                         java.lang.Object property,
                         java.lang.Object val)

  Overrides:
    `setValue` in class `javax.el.CompositeELResolver`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD